import Component from '../../component.js';
import UlComponent from '../../ul.js';

export default class CoUxLayoutNavBarElements extends Component {
  constructor(parent) {
    let selector = 'ux-layout-nav-bar-elements';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/layout/ux-layout-app-shell/components/ux-layout-nav-bar/ux-layout-nav-bar-elements.component.ts?at=support/10.x
  }
  get rightElements(){
    return this.currentPath + '//div[contains(@id, "right-elements")]';
  }
  get ulCO(){
    return new UlComponent(this.rightElements);
  }
}

